Създаване на lead
curl --request POST \
--url https://call.aiployees.com/api/user/lead \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "<string>",
"campaign_id": 123,
"variables": {
"customer_name": "<string>",
"email": "<string>"
},
"allow_dupplicate": true,
"secondary_contacts": [
{
"phone_number": "<string>",
"variables": {
"customer_name": "<string>",
"email": "<string>"
}
}
]
}
'import requests
url = "https://call.aiployees.com/api/user/lead"
payload = {
"phone_number": "<string>",
"campaign_id": 123,
"variables": {
"customer_name": "<string>",
"email": "<string>"
},
"allow_dupplicate": True,
"secondary_contacts": [
{
"phone_number": "<string>",
"variables": {
"customer_name": "<string>",
"email": "<string>"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '<string>',
campaign_id: 123,
variables: {customer_name: '<string>', email: '<string>'},
allow_dupplicate: true,
secondary_contacts: [
{
phone_number: '<string>',
variables: {customer_name: '<string>', email: '<string>'}
}
]
})
};
fetch('https://call.aiployees.com/api/user/lead', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Lead created successfully",
"data": {
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:53:20",
"updated_at": "2025-06-30 11:53:20",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567891",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:53:20",
"updated_at": "2025-06-30 11:53:20"
},
{
"id": 3,
"phone_number": "+1234567892",
"variables": {
"customer_name": "Bob Doe Office",
"email": "bob.doe.office@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:53:20",
"updated_at": "2025-06-30 11:53:20"
}
]
}
}
Потенциални клиенти
Създаване на lead
Създаване на нов lead в системата на Aiplocalls
POST
/
user
/
lead
Създаване на lead
Този endpoint ви позволява да създадете нов lead в системата на Aiplocalls.
Request body
string
required
Телефонният номер на lead-а в E.164 формат (например +1234567890)
integer
required
ID-то на кампанията, за която да се създаде lead-ът
object
Персонализирани променливи за предаване към lead-а. Можете да включите всички променливи, които са дефинирани във вашия асистент (вижте Променливи за повиквания). Примерите по-долу са само за илюстрация — използвайте вашите собствени имена на променливи, както са конфигурирани в настройките на асистента.
boolean
Дали да се позволяват дублиращи се leads в кампанията.
array
Масив от secondary contact leads, които да се създадат заедно с основния lead
Response
string
default:"Lead created successfully"
Съобщението от отговора
object
Обектът с данни за lead-а
Show свойства на data
Show свойства на data
integer
Уникалното ID на създадения lead
integer
ID-то на кампанията, към която принадлежи този lead
string
Телефонният номер на lead-а в E.164 формат
object
string
default:"created"
Статусът на lead-а
string
Времевият отпечатък, когато е създаден lead-ът
string
Времевият отпечатък, когато lead-ът е актуализиран за последно
object
array
Масив от secondary contact leads, свързани с този lead
Show свойства на secondary_contacts
Show свойства на secondary_contacts
{
"message": "Lead created successfully",
"data": {
"id": 1,
"campaign_id": 1,
"phone_number": "+1234567890",
"variables": {
"customer_name": "John Doe",
"email": "john.doe@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:53:20",
"updated_at": "2025-06-30 11:53:20",
"campaign": {
"id": 1,
"name": "My new campaign"
},
"secondary_contacts": [
{
"id": 2,
"phone_number": "+1234567891",
"variables": {
"customer_name": "Jane Doe Secondary",
"email": "jane.doe.secondary@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:53:20",
"updated_at": "2025-06-30 11:53:20"
},
{
"id": 3,
"phone_number": "+1234567892",
"variables": {
"customer_name": "Bob Doe Office",
"email": "bob.doe.office@example.com"
},
"status": "created",
"created_at": "2025-06-30 11:53:20",
"updated_at": "2025-06-30 11:53:20"
}
]
}
}
⌘I

